# wxRichTextCommand Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextCommand:
[legend]

## Detailed Description

Implements a command on the undo/redo stack.

A wxRichTextCommand object contains one or more wxRichTextAction objects, allowing aggregation of a number of operations into one command.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextAction

## Public Member Functions
| wxRichTextCommand (const wxString &name, wxRichTextCommandId id, wxRichTextBuffer *buffer, wxRichTextParagraphLayoutBox *container, wxRichTextCtrl *ctrl, bool ignoreFirstTime=false)
| Constructor for one action.
| wxRichTextCommand (const wxString &name)
| Constructor for multiple actions.
virtual | ~wxRichTextCommand ()
bool | Do ()
| Performs the command.
bool | Undo ()
| Undoes the command.
void | AddAction (wxRichTextAction *action)
| Adds an action to the action list.
void | ClearActions ()
| Clears the action list.
wxList & | GetActions ()
| Returns the action list.
## Protected Attributes
wxList | m_actions

List of all members.

## Constructor & Destructor Documentation

wxRichTextCommand::wxRichTextCommand | ( | const wxString & | name,
|  | wxRichTextCommandId | id,
|  | wxRichTextBuffer * | buffer,
|  | wxRichTextParagraphLayoutBox * | container,
|  | wxRichTextCtrl * | ctrl,
|  | bool | ignoreFirstTime = `false` |
| ) |  |  |

Constructor for one action.

wxRichTextCommand::wxRichTextCommand | ( | const wxString & | name | ) |

Constructor for multiple actions.

virtual wxRichTextCommand::~wxRichTextCommand | ( |  | ) | `[virtual]`

## Member Function Documentation

void wxRichTextCommand::AddAction | ( | wxRichTextAction * | action | ) |

Adds an action to the action list.

void wxRichTextCommand::ClearActions | ( |  | ) |

Clears the action list.

bool wxRichTextCommand::Do | ( |  | ) | `[virtual]`

Performs the command.

Implements wxCommand.

wxList& wxRichTextCommand::GetActions | ( |  | ) | `[inline]`

Returns the action list.

bool wxRichTextCommand::Undo | ( |  | ) | `[virtual]`

Undoes the command.

Implements wxCommand.

## Member Data Documentation

wxList wxRichTextCommand::m_actions`[protected]`

|  | [ top ]